
enum LVCameraPosition {
  back,   // 后置摄像头
  front, // 前置摄像头
}

enum LVAVConfig {
  PROFILE_180P,
  PROFILE_270P,
  PROFILE_360P,
  PROFILE_540P,
  PROFILE_720P,
}

enum LVBeauty {
  Beauty, // 美颜级别
  Bright, // 明亮度
  Tone    // 饱和度
}

class LVUser {
  String userId;
  List<String> pullUrls; // 拉流url集合
}

class LinkvLoginRoomResult {
  int code;
  List<LVUser> users;
}

class LVVideoStatistic { // 音视频数据统计信息
  int videoSentPackets;  // 视频总发送包数量
  int videoSentKBytes;   // 视频总发送字节数
  int videoFps;          // 视频输入帧率（视频帧率）
  int videoLostPackets;  // 视频丢包总数
  int videoBitrateBps;   // 视频码率
  int videoRtt;          // 音频包 RTT，单位 ms
  int videoLostPercent;  // 累计视频丢包百分比
  int frameWidth;        // 推流：编码视频宽，拉流：输入视频帧宽
  int frameHeight;       // 推流：编码视频高，拉流：输入视频帧高

  static LVVideoStatistic convertFromMap(dynamic args) {
    LVVideoStatistic v = LVVideoStatistic();
    v.videoSentPackets = args["videoSentPackets"];
    v.videoSentKBytes = args["videoSentKBytes"];
    v.videoFps = args["videoFps"];
    v.videoLostPackets = args["videoLostPackets"];
    v.videoBitrateBps = args["videoBitrateBps"];
    v.videoRtt = args["videoRtt"];
    v.videoLostPercent = args["videoLostPercent"];
    v.frameWidth = args["frameWidth"];
    v.frameHeight = args["frameHeight"];

    return v;
  }
}
